## emacs-ivy 0.9.1+dfsg

=== Makefile ===
emacs ?= emacs
elmake = $(emacs) -batch -l makefi.el -f

LOAD = -l colir.el -l ivy-overlay.el -l ivy.el -l swiper.el -l counsel.el

all: test

test:
	$(emacs) -batch $(LOAD) -l ivy-test.el -f ert-run-tests-batch-and-exit

compile:
	$(emacs) -batch --eval "(progn (add-to-list 'load-path default-directory) (mapc #'byte-compile-file '(\"ivy.el\" \"swiper.el\" \"counsel.el\" \"colir.el\")))"

plain:
	$(emacs) --version
	$(emacs) -Q $(LOAD) --eval "(progn (package-initialize) (ivy-mode))"

obsolete:
	$(emacs) -batch -l targets/obsolete-config.el

update-issues:
	$(elmake) update-issues

clean:
	rm -f *.elc

.PHONY: all compile clean test update-issues

=== debian/changelog ===
emacs-ivy (0.9.1+dfsg-1) unstable; urgency=medium

  * Initial release. (Closes: #863216)
  * Add 0001-Prevent-void-function-colir-color-parse-in-ivy-test.patch
    - Needed for self-tests to succeed
  * debian/copyright: Exclude non-free GFDL docs (doc/ivy.org and
    doc/ivy.texi)

 -- Nicholas D Steeves <nsteeves@gmail.com>  Fri, 23 Jun 2017 13:41:41 -0400

=== debian/control ===
Source: emacs-ivy
Section: lisp
Priority: optional
Maintainer: Debian Emacs addons team <pkg-emacsen-addons@lists.alioth.debian.org>
Uploaders: Nicholas D Steeves <nsteeves@gmail.com>
Build-Depends: debhelper (>= 10)
             , dh-elpa
             , pandoc
Standards-Version: 4.0.0
Vcs-Browser: https://anonscm.debian.org/cgit/pkg-emacsen/pkg/emacs-ivy.git/
Vcs-Git: https://anonscm.debian.org/git/pkg-emacsen/pkg/emacs-ivy.git
Homepage: https://github.com/abo-abo/swiper
Testsuite: autopkgtest-pkg-elpa

Package: elpa-ivy
Architecture: all
Depends: ${elpa:Depends}
       , ${misc:Depends}
Recommends: emacs (>= 46.0)
Enhances: emacs
Description: Generic completion mechanism for Emacs
 Ivy is an acronym for Incremental Vertical completYon.  While it
 operates similarly to other completion schemes such as
 icomplete-mode, Ivy aims to be more efficient, smaller, simpler, and
 smoother to use--yet highly customizable.
 .
 To try Ivy, just call M-x ivy-mode. This will enable generic Ivy
 completion, including specific completion for file and buffer names.

Package: elpa-swiper
Architecture: all
Depends: ${elpa:Depends}
       , ${misc:Depends}
       , elpa-ivy
Enhances: emacs
Description: Alternative to Emacs' isearch with an overview
 Swiper gives an overview of the current regex search candidates.
 The search regex can be split into groups with a space.  Each group
 is highlighted with a different face.
 .
 It can double as a quick regex-builder; however, only single
 lines will be matched.  Swiper uses Ivy to show an overview of all
 matches.

Package: elpa-counsel
Architecture: all
Depends: ${elpa:Depends}
       , ${misc:Depends}
       , elpa-swiper
Enhances: emacs
        , elpa-ivy
        , elpa-swiper
	, git
	, silversearcher-ag, recoll
	, org-mode, elpa-ace-link, elpa-hydra, elpa-company, irony-mode
	, rhythmbox
Description: Collection of Ivy-enhanced versions of common Emacs commands
 Call one of the interactive functions in this file to complete
 the corresponding thing using `ivy'.
 .
 Currently available:
   - Symbol completion for Elisp, Common Lisp, Python and Clojure.
   - Describe functions for Elisp: function, variable, library, command,
     bindings, theme.
   - Navigation functions: imenu, ace-line, semantic, outline
   - Git utilities: git-files, git-grep, git-log, git-stash.
   - Grep utitilies: grep, ag, pt, recoll.
   - System utilities: process list, rhythmbox, linux-app.
   - Many more...

Package: elpa-ivy-hydra
Architecture: all
Depends: ${elpa:Depends}
       , ${misc:Depends}
       , elpa-ivy
       , elpa-hydra
Enhances: emacs
Description: Additional key bindings for Emacs Ivy
 This package provides the hydra-ivy/body command, which is a
 quasi-prefix map with many useful bindings.  These bindings are
 shorter than usual and use mostly unprefixed keys.

## emacs-ivy 0.10.0+dfsg

=== Makefile ===
emacs ?= emacs
elmake = $(emacs) -batch -l makefi.el -f

LOAD = -l colir.el -l ivy-overlay.el -l ivy.el -l swiper.el -l counsel.el
RM ?= rm -f

all: test

test:
	$(emacs) -batch $(LOAD) -l ivy-test.el -f ert-run-tests-batch-and-exit

checkdoc:
	$(emacs) -batch -l targets/checkdoc.el

compile:
	$(emacs) -batch -L . -f batch-byte-compile colir.el ivy-overlay.el ivy.el swiper.el counsel.el

plain:
	$(emacs) --version
	$(emacs) -Q $(LOAD) -l targets/plain.el

obsolete:
	$(emacs) -batch -l targets/obsolete-config.el

update-issues:
	$(elmake) update-issues

clean:
	$(RM) *.elc

.PHONY: all test checkdoc compile plain obsolete update-issues clean

=== debian/changelog ===
emacs-ivy (0.10.0+dfsg-1) unstable; urgency=medium

  * New upstream version 0.10.0+dfsg
  * Declare Standards-Version: 4.1.2. (No additional changes needed)
  * Drop 0001-Prevent-void-function-colir-color-parse-in-ivy-test.patch
    - It has been merged upstream.

 -- Nicholas D Steeves <nsteeves@gmail.com>  Sun, 17 Dec 2017 00:14:08 -0500

=== debian/control ===
--- 
+++ 
@@ -6,7 +6,7 @@
 Build-Depends: debhelper (>= 10)
              , dh-elpa
              , pandoc
-Standards-Version: 4.0.0
+Standards-Version: 4.1.2
 Vcs-Browser: https://anonscm.debian.org/cgit/pkg-emacsen/pkg/emacs-ivy.git/
 Vcs-Git: https://anonscm.debian.org/git/pkg-emacsen/pkg/emacs-ivy.git
 Homepage: https://github.com/abo-abo/swiper
@@ -18,7 +18,7 @@
        , ${misc:Depends}
 Recommends: emacs (>= 46.0)
 Enhances: emacs
-Description: Generic completion mechanism for Emacs
+Description: generic completion mechanism for Emacs
  Ivy is an acronym for Incremental Vertical completYon.  While it
  operates similarly to other completion schemes such as
  icomplete-mode, Ivy aims to be more efficient, smaller, simpler, and
@@ -33,7 +33,7 @@
        , ${misc:Depends}
        , elpa-ivy
 Enhances: emacs
-Description: Alternative to Emacs' isearch with an overview
+Description: alternative to Emacs' isearch with an overview
  Swiper gives an overview of the current regex search candidates.
  The search regex can be split into groups with a space.  Each group
  is highlighted with a different face.
@@ -54,7 +54,7 @@
 	, silversearcher-ag, recoll
 	, org-mode, elpa-ace-link, elpa-hydra, elpa-company, irony-mode
 	, rhythmbox
-Description: Collection of Ivy-enhanced versions of common Emacs commands
+Description: collection of Ivy-enhanced versions of common Emacs commands
  Call one of the interactive functions in this file to complete
  the corresponding thing using `ivy'.
  .
@@ -75,7 +75,7 @@
        , elpa-ivy
        , elpa-hydra
 Enhances: emacs
-Description: Additional key bindings for Emacs Ivy
+Description: additional key bindings for Emacs Ivy
  This package provides the hydra-ivy/body command, which is a
  quasi-prefix map with many useful bindings.  These bindings are
  shorter than usual and use mostly unprefixed keys.

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@ --with elpa

override_dh_installchangelogs:
	dh_installchangelogs doc/Changelog.org

=== debian/watch ===
version=4
opts=dversionmangle=s/\+dfsg(\.?\d+)?$//,filenamemangle=s/.+\/v?(\d\S+)\.tar\.gz/swiper-$1\.tar\.gz/,decompress,repacksuffix=+dfsg \
  https://github.com/abo-abo/swiper/tags .*/v?(\d\S+)\.tar\.gz

## emacs-ivy 0.11.0+dfsg

=== debian/changelog ===
emacs-ivy (0.11.0+dfsg-1) unstable; urgency=medium

  * Switch Vcs from alioth to salsa.
  * Switch to debhelper and compat level 12.
  * Change section to editors, which is more accurate and discoverable.
  * Update Maintainer team name and email address.
  * Drop unused build dependency on pandoc. (unused since 0.10.0+dfsg-1)
    - ivy.el uses org-mode to view ivy-help.org in 'describe-mode.
  * Add Suggests: elpa-flx, which adds fuzzy matching support to Ivy.
  * Add Suggests: elpa-avy, which adds balanced decision tree-based
    traversal of selection candidates.
  * control: Enhance descriptions with better grammar and clarity.
  * control: Update Enhances section for elpa-counsel.
  * Update my copyright years.
  * debian/watch: Repack the +dfsg orig tar using xz compression.
  * Declare Standards-Version 4.3.0. (No additional changes needed)
  * control: Add Enhances elpa-hydra.
  * rules: Drop override_dh_installchangelogs, and use
    debian/elpa-ivy.docs to install the upstream Changelog.org to
    /usr/share/doc/elpa-ivy as-is and in .org format.

 -- Nicholas D Steeves <nsteeves@gmail.com>  Mon, 28 Jan 2019 01:17:02 -0700

=== debian/control ===
Source: emacs-ivy
Section: editors
Priority: optional
Maintainer: Debian Emacsen team <debian-emacsen@lists.debian.org>
Uploaders: Nicholas D Steeves <nsteeves@gmail.com>
Build-Depends: debhelper (>= 12)
             , dh-elpa
Standards-Version: 4.3.0
Vcs-Browser: https://salsa.debian.org/emacsen-team/emacs-ivy
Vcs-Git: https://salsa.debian.org/emacsen-team/emacs-ivy.git
Homepage: https://github.com/abo-abo/swiper
Testsuite: autopkgtest-pkg-elpa

Package: elpa-ivy
Architecture: all
Depends: ${elpa:Depends}
       , ${misc:Depends}
Recommends: emacs (>= 46.0)
Suggests: elpa-avy
        , elpa-flx
Enhances: emacs
Description: generic completion mechanism for Emacs
 Ivy is an acronym for Incremental Vertical completYon.  While it
 operates similarly to other completion schemes, such as
 Icomplete mode, Ivy aims to be more efficient, smaller, simpler, and
 smoother to use--yet highly customisable.
 .
 To try Ivy, call M-x ivy-mode.  A default installation of Ivy only
 includes the generic completion framework, plus completion for file
 and buffer names
 .
 This package will not install all of Ivy/Swiper/Counsel.  For a
 full-featured experience please install "elpa-counsel", which will
 also install "elpa-swiper".  Hydra users will probably also want
 "elpa-ivy-hydra".
 .
 Counsel is an alternative to Anything and Helm.

Package: elpa-swiper
Architecture: all
Depends: ${elpa:Depends}
       , ${misc:Depends}
       , elpa-ivy
Enhances: emacs
Description: alternative to Emacs' isearch, with an overview
 Swiper is an Ivy-enhanced alternative to isearch.  When a regex
 (regular expression) search is initiated it displays an overview of
 search candidates.  The search regex can be split into groups with a
 space.  Each group is highlighted with a different face.
 .
 It can double as a quick regex-builder; however, only single
 lines will be matched.  Swiper uses Ivy to show an overview of all
 matches.

Package: elpa-counsel
Architecture: all
Depends: ${elpa:Depends}
       , ${misc:Depends}
       , elpa-swiper
Enhances: emacs
        , elpa-smex
        , elpa-ivy
        , elpa-swiper
	, git
	, ack, fzf, silversearcher-ag, recoll, ripgrep
	, org-mode, elpa-ace-link, elpa-hydra, elpa-company, irony-mode
        , python3-jedi, python-jedi
	, rhythmbox
Description: collection of Ivy-enhanced versions of common Emacs commands
 Counsel is a collection of Ivy-enhanced versions of common Emacs commands.
 Call one of the interactive functions in this file to complete
 the corresponding thing using Ivy.
 .
 Currently available:
   - Symbol completion for Elisp, Common Lisp, Python and Clojure.
   - Describe functions for Elisp: function, variable, library, command,
     bindings, theme.
   - Navigation functions: imenu, ace-line, semantic, outline
   - Git utilities: git-files, git-grep, git-log, git-stash.
   - Full-text search utitilies: grep, ag, pt, recoll.
   - System utilities: process list, rhythmbox, linux-app.
   - Many more...
 .
 Counsel is an alternative to Anything and Helm.

Package: elpa-ivy-hydra
Architecture: all
Depends: ${elpa:Depends}
       , ${misc:Depends}
       , elpa-ivy
       , elpa-hydra
Enhances: emacs
        , elpa-hydra
Description: additional key bindings for Emacs Ivy
 This package provides the hydra-ivy/body command, which is a
 quasi-prefix map with many useful bindings for Ivy.  These bindings
 are shorter than usual and use predominantly unprefixed keys.

## emacs-ivy 0.12.0%2Bdfsg

=== debian/changelog ===
emacs-ivy (0.12.0+dfsg-1) unstable; urgency=medium

  * New upstream version.
  * Switch to debhelper-compat 12.
  * Fix typos in long descriptions.
  * Reflect upstream's updated copyright years in d/copyright.
  * Update counsel's description with the most noteworthy new functionality.
  * Add 0001-Skip-3-tests-that-are-unsuitable-for-buildd-or-DebCI.patch
    Tests depend on network access.
  * override_dh_installchangelogs: Install Changelog.org as changelog, and
    append local-var-snippet to activate org-mode when visiting this file
    using Emacs.
  * gbp.conf: Disable pristine-tar, which is no longer used in this package.
  * Drop debian/TODO.
  * Add Upstream-Contact.
  * Make it explicit that we're not using the upstream Makefile by echoing
    this in override_dh_auto_build.
  * Declare Standards-Version 4.4.0 (no changes required).

 -- Nicholas D Steeves <nsteeves@gmail.com>  Sun, 25 Aug 2019 19:26:25 -0400

## emacs-ivy 0.12.0+dfsg

=== Makefile ===
--- 
+++ 
@@ -1,7 +1,7 @@
 emacs ?= emacs
 elmake = $(emacs) -batch -l makefi.el -f
 
-LOAD = -l colir.el -l ivy-overlay.el -l ivy.el -l swiper.el -l counsel.el
+LOAD = -l elpa.el -l colir.el -l ivy-overlay.el -l ivy.el -l swiper.el -l counsel.el
 RM ?= rm -f
 
 all: test

=== doc/Makefile ===
ivy.texi: ivy.org
	emacs -batch -l ivy-ox.el -l scripts.el --eval "(org-to-texi \"ivy.org\")"

=== debian/control ===
--- 
+++ 
@@ -3,9 +3,9 @@
 Priority: optional
 Maintainer: Debian Emacsen team <debian-emacsen@lists.debian.org>
 Uploaders: Nicholas D Steeves <nsteeves@gmail.com>
-Build-Depends: debhelper (>= 12)
+Build-Depends: debhelper-compat (= 12)
              , dh-elpa
-Standards-Version: 4.3.0
+Standards-Version: 4.4.0
 Vcs-Browser: https://salsa.debian.org/emacsen-team/emacs-ivy
 Vcs-Git: https://salsa.debian.org/emacsen-team/emacs-ivy.git
 Homepage: https://github.com/abo-abo/swiper
@@ -27,7 +27,7 @@
  .
  To try Ivy, call M-x ivy-mode.  A default installation of Ivy only
  includes the generic completion framework, plus completion for file
- and buffer names
+ and buffer names.
  .
  This package will not install all of Ivy/Swiper/Counsel.  For a
  full-featured experience please install "elpa-counsel", which will
@@ -77,9 +77,10 @@
      bindings, theme.
    - Navigation functions: imenu, ace-line, semantic, outline
    - Git utilities: git-files, git-grep, git-log, git-stash.
-   - Full-text search utitilies: grep, ag, pt, recoll.
+   - Full-text search utilities: grep, ag, pt, recoll.
    - System utilities: process list, rhythmbox, linux-app.
-   - Many more...
+   - Shortcuts for org-mode.
+   - And many more...
  .
  Counsel is an alternative to Anything and Helm.

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@ --with elpa

override_dh_auto_build:
	@echo Using dh-elpa for build/install instead of upstream Makefile.

override_dh_installchangelogs:
	mkdir -p debian/tmp
	cat doc/Changelog.org debian/local-var-snippet >> debian/tmp/changelog
	dh_installchangelogs debian/tmp/changelog

## emacs-ivy 0.13.0

=== Makefile ===
--- 
+++ 
@@ -6,8 +6,11 @@
 
 all: test
 
+deps:
+	$(emacs) -batch -l targets/install-deps.el
+
 test:
-	$(emacs) -batch $(LOAD) -l ivy-test.el -f ert-run-tests-batch-and-exit
+	$(emacs) -batch $(LOAD) -l ivy-test.el -f ivy-test-run-tests
 
 checkdoc:
 	$(emacs) -batch -l targets/checkdoc.el

=== doc/Makefile ===
INFO_INSTALL_DIR="${HOME}/git/gnu-elpa/packages/ivy"

ivy.texi: ivy.org
	emacs -batch -l ivy-ox.el -l scripts.el --eval "(org-to-texi \"ivy.org\")"

ivy.info: ivy.texi
	makeinfo --no-split $^

install: ivy.info
	cp $^ $(INFO_INSTALL_DIR)
	install-info --info-dir=$(INFO_INSTALL_DIR) --info-file=$^

=== debian/changelog ===
emacs-ivy (0.13.0-1) unstable; urgency=medium

  * New upstream version, now with DFSG-free documentation.
  * Drop 0001-Skip-3-tests-that-are-unsuitable-for-buildd-or-DebCI.patch
    because these tests no longer exist upstream.
  * copyright: No longer exclude doc/ivy.org and doc/ivy.texi.
  * copyright: Add GDFL-1.3+NIV license info for these two files.
  * control: Add texinfo as a build dep when 'nodoc' isn't active.
  * rules: Add override_dh_installinfo to convert upstream ivy.org to
    ivy.texi, and to then run makeinfo.
  * rules: Override dh_clean to restore upstream-provided ivy.texi
  * Create debian/elpa-ivy.info to install the new info page.
  * Add elpa-smex to elpa-counsel's Recommends.  The way it presents one's
    recently and most frequently used commands at the top of the
    candidates list is a wonderful productivity-enhancing feature.  See
    the docs to learn how to use Counsel to enable this for the M-x
    interface.
  * Add elpa-wgrep as a build-dep. (Closes: #944991)
  * Cherry pick 0001-ivy-test.el-ivy-with-Don-t-use-counsel-locate-git-ro.patch
    from upstream to fix failing self-tests.
  * Add 0002-Skip-ert-deftest-ivy-lazy-load-ffap-ffap-url-p.patch to skip
    another failing test.
  * debian/control: Add "Rules-Requires-Root: no".
  * Declare Standards-Version 4.5.0 (no changes required).

 -- Nicholas D Steeves <nsteeves@gmail.com>  Fri, 24 Jul 2020 19:12:20 -0400

=== debian/control ===
--- 
+++ 
@@ -5,7 +5,10 @@
 Uploaders: Nicholas D Steeves <nsteeves@gmail.com>
 Build-Depends: debhelper-compat (= 12)
              , dh-elpa
-Standards-Version: 4.4.0
+             , elpa-wgrep
+             , texinfo <!nodoc>
+Rules-Requires-Root: no
+Standards-Version: 4.5.0
 Vcs-Browser: https://salsa.debian.org/emacsen-team/emacs-ivy
 Vcs-Git: https://salsa.debian.org/emacsen-team/emacs-ivy.git
 Homepage: https://github.com/abo-abo/swiper
@@ -57,8 +60,8 @@
 Depends: ${elpa:Depends}
        , ${misc:Depends}
        , elpa-swiper
+Recommends: elpa-smex
 Enhances: emacs
-        , elpa-smex
         , elpa-ivy
         , elpa-swiper
 	, git

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@ --with elpa

override_dh_auto_build:
	@echo Using dh-elpa for build/install instead of upstream Makefile.

override_dh_clean:
	dh_clean
	mv -f doc/ivy.texi~ doc/ivy.texi || true

override_dh_installchangelogs:
	mkdir -p debian/tmp
	cat doc/Changelog.org debian/local-var-snippet >> debian/tmp/changelog
	dh_installchangelogs debian/tmp/changelog

override_dh_installinfo:
	@echo Generating info page.
	cd doc \
	   && emacs -batch -l ivy-ox.el -l scripts.el \
	      --eval "(org-to-texi \"ivy.org\")"
	makeinfo --no-split doc/ivy.texi -o debian/tmp/ivy.info
	dh_installinfo

## emacs-ivy 0.13.4

=== Makefile ===
emacs ?= emacs

LOAD = -l elpa.el -l colir.el -l ivy-overlay.el -l ivy.el -l swiper.el -l counsel.el
RM ?= rm -f

all: test

deps:
	$(emacs) -batch -l targets/install-deps.el

test:
	$(emacs) -batch $(LOAD) -l ivy-test.el -f ivy-test-run-tests

checkdoc:
	$(emacs) -batch -l targets/checkdoc.el

compile:
	$(emacs) -batch -l elpa.el -L . -f batch-byte-compile colir.el ivy-faces.el ivy-overlay.el ivy.el ivy-avy.el swiper.el counsel.el

plain:
	$(emacs) --version
	$(emacs) -Q -l elpa.el -l targets/plain.el

obsolete:
	$(emacs) -batch -l targets/obsolete-config.el

clean:
	$(RM) *.elc

.PHONY: all test checkdoc compile plain obsolete update-issues clean

=== debian/changelog ===
emacs-ivy (0.13.4-1) unstable; urgency=medium

  * Upload to unstable.
  * Note "Interactive and searchable yank-pop/kill-ring/clipboard history
    interface" in long description, and also note that Ivy is an alternative
    to Ido.
  * Update my copyright years.
  * Migrate to debhelper-compat 13.
    + Cleanup tmp/changelog to work around a bug in debhelper, which errors
      because it thinks the changelog has not been installed to a bin:pkg,
      even though it has been, explicitly, with dh_installchangelogs.
  * Declare Standards-Version 4.6.0 (no changes required).
  * Drop dh_clean override, because it is no longer needed.

 -- Nicholas D Steeves <sten@debian.org>  Sat, 26 Feb 2022 08:42:28 -0500

emacs-ivy (0.13.4-1~exp1) experimental; urgency=low

  * New upstream release.
  * Rebase quilt series onto this release:
    - Drop 0001-ivy-test.el-ivy-with-Don-t-use-counsel-locate-git-ro.patch
  * Add ivy-faces.el to elpa-ivy.elpa; it is a hard dependency of ivy.el and
    is bundled with Ivy on both MELPA and ELPA.
  * Update upstream copyright years.
  * Update my email address and copyright years.
  * Drop unnecessary README.source, which hasn't been relevant since
    0.13.0-1; it does not add anything to the long description nor the
    upstream README and is not needed for dfsg compliance.
  * Add elpa-smex to Enhances.
  * Add 0002-Skip-ivy-read-directory-name-and-rely-on-manual-test.patch

 -- Nicholas D Steeves <sten@debian.org>  Sat, 27 Mar 2021 22:37:34 -0400

=== debian/control ===
--- 
+++ 
@@ -2,13 +2,13 @@
 Section: editors
 Priority: optional
 Maintainer: Debian Emacsen team <debian-emacsen@lists.debian.org>
-Uploaders: Nicholas D Steeves <nsteeves@gmail.com>
-Build-Depends: debhelper-compat (= 12)
+Uploaders: Nicholas D Steeves <sten@debian.org>
+Build-Depends: debhelper-compat (= 13)
              , dh-elpa
              , elpa-wgrep
              , texinfo <!nodoc>
 Rules-Requires-Root: no
-Standards-Version: 4.5.0
+Standards-Version: 4.6.0
 Vcs-Browser: https://salsa.debian.org/emacsen-team/emacs-ivy
 Vcs-Git: https://salsa.debian.org/emacsen-team/emacs-ivy.git
 Homepage: https://github.com/abo-abo/swiper
@@ -37,7 +37,7 @@
  also install "elpa-swiper".  Hydra users will probably also want
  "elpa-ivy-hydra".
  .
- Counsel is an alternative to Anything and Helm.
+ Counsel is an alternative to Ido, Anything, and Helm.
 
 Package: elpa-swiper
 Architecture: all
@@ -45,7 +45,7 @@
        , ${misc:Depends}
        , elpa-ivy
 Enhances: emacs
-Description: alternative to Emacs' isearch, with an overview
+Description: alternative to Emacs' isearch--with an overview
  Swiper is an Ivy-enhanced alternative to isearch.  When a regex
  (regular expression) search is initiated it displays an overview of
  search candidates.  The search regex can be split into groups with a
@@ -63,18 +63,20 @@
 Recommends: elpa-smex
 Enhances: emacs
         , elpa-ivy
+        , elpa-smex
         , elpa-swiper
-	, git
-	, ack, fzf, silversearcher-ag, recoll, ripgrep
-	, org-mode, elpa-ace-link, elpa-hydra, elpa-company, irony-mode
+        , git
+        , ack, fzf, silversearcher-ag, recoll, ripgrep
+        , org-mode, elpa-ace-link, elpa-hydra, elpa-company, irony-mode
         , python3-jedi, python-jedi
-	, rhythmbox
+        , rhythmbox
 Description: collection of Ivy-enhanced versions of common Emacs commands
  Counsel is a collection of Ivy-enhanced versions of common Emacs commands.
  Call one of the interactive functions in this file to complete
  the corresponding thing using Ivy.
  .
  Currently available:
+   - Interactive and searchable yank-pop/kill-ring/clipboard history interface.
    - Symbol completion for Elisp, Common Lisp, Python and Clojure.
    - Describe functions for Elisp: function, variable, library, command,
      bindings, theme.

## emacs-ivy 0.13.4+78.gb8be491

=== Makefile ===
--- 
+++ 
@@ -15,7 +15,7 @@
 	$(emacs) -batch -l targets/checkdoc.el
 
 compile:
-	$(emacs) -batch -l elpa.el -L . -f batch-byte-compile colir.el ivy-faces.el ivy-overlay.el ivy.el ivy-avy.el swiper.el counsel.el
+	$(emacs) -batch -l elpa.el -L . -f batch-byte-compile colir.el ivy-faces.el ivy-overlay.el ivy.el ivy-avy.el ivy-hydra.el swiper.el counsel.el
 
 plain:
 	$(emacs) --version

=== doc/Makefile ===
--- 
+++ 
@@ -1,6 +1,6 @@
 INFO_INSTALL_DIR="${HOME}/git/gnu-elpa/packages/ivy"
 
-ivy.texi: ivy.org
+ivy.texi: ivy.org ivy-ox.el scripts.el
 	emacs -batch -l ivy-ox.el -l scripts.el --eval "(org-to-texi \"ivy.org\")"
 
 ivy.info: ivy.texi

=== debian/changelog ===
emacs-ivy (0.13.4+78.gb8be491-1) unstable; urgency=medium

  * New upstream snapshot (Closes: #1020180).
  * Debian 9 (stretch, oldoldstable) has Emacs (>= 46.0), so it is no longer
    necessary to qualify Recommends.
  * Declare Standards-Version 4.6.1 (no changes required).

 -- Nicholas D Steeves <sten@debian.org>  Sun, 27 Nov 2022 15:57:40 -0500

=== debian/control ===
--- 
+++ 
@@ -8,7 +8,7 @@
              , elpa-wgrep
              , texinfo <!nodoc>
 Rules-Requires-Root: no
-Standards-Version: 4.6.0
+Standards-Version: 4.6.1
 Vcs-Browser: https://salsa.debian.org/emacsen-team/emacs-ivy
 Vcs-Git: https://salsa.debian.org/emacsen-team/emacs-ivy.git
 Homepage: https://github.com/abo-abo/swiper
@@ -18,7 +18,7 @@
 Architecture: all
 Depends: ${elpa:Depends}
        , ${misc:Depends}
-Recommends: emacs (>= 46.0)
+Recommends: emacs
 Suggests: elpa-avy
         , elpa-flx
 Enhances: emacs

## emacs-ivy 0.14.0

=== debian/changelog ===
emacs-ivy (0.14.0-1) unstable; urgency=medium

  * New upstream release.
  * Depend on elpa-wgrep (>= 3.0.0).
  * Update upstream copyright years.
  * Declare Standards-Version 4.6.2 (no changes required).

 -- Nicholas D Steeves <sten@debian.org>  Mon, 12 Jun 2023 21:32:35 -0400

## emacs-ivy 0.14.2

=== debian/changelog ===
emacs-ivy (0.14.2-1) unstable; urgency=medium

  * New upstream release.

 -- Nicholas D Steeves <sten@debian.org>  Sun, 29 Oct 2023 18:52:35 -0400

=== debian/control ===
--- 
+++ 
@@ -5,10 +5,10 @@
 Uploaders: Nicholas D Steeves <sten@debian.org>
 Build-Depends: debhelper-compat (= 13)
              , dh-elpa
-             , elpa-wgrep
+             , elpa-wgrep (>= 3.0.0)
              , texinfo <!nodoc>
 Rules-Requires-Root: no
-Standards-Version: 4.6.1
+Standards-Version: 4.6.2
 Vcs-Browser: https://salsa.debian.org/emacsen-team/emacs-ivy
 Vcs-Git: https://salsa.debian.org/emacsen-team/emacs-ivy.git
 Homepage: https://github.com/abo-abo/swiper

=== debian/rules ===
--- 
+++ 
@@ -6,14 +6,11 @@
 override_dh_auto_build:
 	@echo Using dh-elpa for build/install instead of upstream Makefile.
 
-override_dh_clean:
-	dh_clean
-	mv -f doc/ivy.texi~ doc/ivy.texi || true
-
 override_dh_installchangelogs:
 	mkdir -p debian/tmp
 	cat doc/Changelog.org debian/local-var-snippet >> debian/tmp/changelog
 	dh_installchangelogs debian/tmp/changelog
+	rm -f debian/tmp/changelog
 
 override_dh_installinfo:
 	@echo Generating info page.

## emacs-ivy 0.15.0

=== debian/changelog ===
emacs-ivy (0.15.0-1) unstable; urgency=medium

  * New upstream release.
  * Rebase patch queue onto this release, and renumber patches.
  * Update our copyright file using upstream copyright statements, and update
    my own copyright years.
  * Declare Standards-Version 4.7.2 (no changes required).

 -- Nicholas D Steeves <sten@debian.org>  Tue, 18 Mar 2025 12:54:17 -0600

emacs-ivy (0.14.2-2) unstable; urgency=medium

  * Team upload.
  * Rebuild against dh-elpa 2.1.5.
    Upload pushed to dgit-repos but not salsa.
    See <https://lists.debian.org/debian-emacsen/2024/07/msg00077.html>.

 -- Sean Whitton <spwhitton@spwhitton.name>  Thu, 25 Jul 2024 19:28:25 +0900

=== debian/control ===
--- 
+++ 
@@ -8,7 +8,7 @@
              , elpa-wgrep (>= 3.0.0)
              , texinfo <!nodoc>
 Rules-Requires-Root: no
-Standards-Version: 4.6.2
+Standards-Version: 4.7.2
 Vcs-Browser: https://salsa.debian.org/emacsen-team/emacs-ivy
 Vcs-Git: https://salsa.debian.org/emacsen-team/emacs-ivy.git
 Homepage: https://github.com/abo-abo/swiper

=== debian/watch ===
version=4
opts=dversionmangle=s/\+dfsg(\.?\d+)?$//,filenamemangle=s/.+\/v?(\d\S+)\.tar\.gz/swiper-$1\.tar\.gz/,decompress,repacksuffix=+dfsg,compression=xz \
  https://github.com/abo-abo/swiper/tags .*/v?(\d\S+)\.tar\.gz

## emacs-ivy 0.15.1

=== Makefile ===
# Build and test Ivy from a source checkout.

# Copyright (C) 2015-2025 Free Software Foundation, Inc.
#
# This file is part of GNU Emacs.
#
# This program is free software: you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation, either version 3 of the License, or
# (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program.  If not, see <https://www.gnu.org/licenses/>.

EMACS ?= emacs
RM ?= rm -f

opt-elcs := \
  ivy-avy.elc \
  ivy-hydra.elc

src-elcs := \
  colir.elc \
  ivy-faces.elc \
  ivy-overlay.elc \
  ivy.elc \
  swiper.elc \
  counsel.elc \
  $(opt-elcs)

test-elcs := ivy-test.elc

.PHONY: all
all: compile

.PHONY: deps
deps:
	$(EMACS) -Q -batch -l targets/elpa.el -f ivy--elpa-install

.PHONY: compile
compile: $(src-elcs)

.PHONY: test
test: compile $(test-elcs)
	$(EMACS) -Q -batch -L . $(test-elcs:%.elc=-l %) -f ivy-test-run-tests

.PHONY: clean
clean:
	$(RM) $(src-elcs) $(test-elcs)

.PHONY: checkdoc
checkdoc:
	$(EMACS) -Q -batch -L . -l targets/checkdoc.el $(src-elcs:c=)

.PHONY: check-declare
check-declare:
	$(EMACS) -Q -batch -eval '(check-declare-directory ".")'

.PHONY: plain
plain: compile
	$(EMACS) -Q -L . -l targets/plain.el

%.elc: %.el
	$(EMACS) -Q -batch -L . $(ELCFLAGS) -f batch-byte-compile $<

$(opt-elcs): ELCFLAGS += -l targets/elpa.el -f ivy--elpa-activate

=== doc/Makefile ===
# Build and install Ivy Info manual from Org source.

# Copyright (C) 2018-2025 Free Software Foundation, Inc.
#
# This file is part of GNU Emacs.
#
# This program is free software: you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation, either version 3 of the License, or
# (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program.  If not, see <https://www.gnu.org/licenses/>.

EMACS ?= emacs
INSTALL ?= install
INSTALL_DATA ?= $(INSTALL) -m 644
MAKEINFO_FLAGS += --no-split
RM ?= rm -f
infodir ?= $${HOME}/git/gnu-elpa/packages/ivy

info-src := ivy.info
info-dest = $(infodir)/$(info-src)

.PHONY: info
info: $(info-src)

.PHONY: install
install: info
	$(INSTALL_DATA) $(info-src) "$(infodir)"
	$(POST_INSTALL)
	install-info --info-dir="$(infodir)" "$(info-dest)"

.PHONY: uninstall
uninstall:
	$(PRE_UNINSTALL)
	install-info --delete --info-dir="$(infodir)" "$(info-dest)"
	$(NORMAL_UNINSTALL)
	$(RM) "$(info-dest)"

.PHONY: clean
clean:
	$(RM) $(info-src)

ivy.texi: ivy.org ivy-ox.el
	$(EMACS) -Q -batch -l ivy-ox.el \
	  -eval '(setq org-confirm-babel-evaluate nil)' \
	  -f org-texinfo-export-to-texinfo-batch $< $@

=== debian/changelog ===
emacs-ivy (0.15.1-3) unstable; urgency=medium

  * Do source-only upload to unblock migration to testing.

 -- Nicholas D Steeves <sten@debian.org>  Thu, 17 Apr 2025 08:47:30 -0400

emacs-ivy (0.15.1-2) unstable; urgency=medium

  * Enable the "elpa-ivy-avy" package.
  * Extend elpa-swiper's long description for consistency

 -- Nicholas D Steeves <sten@debian.org>  Fri, 04 Apr 2025 17:14:35 -0400

emacs-ivy (0.15.1-1) unstable; urgency=medium

  * New upstream release.
  * Rely on upstream Makefile for ivy.texi regeneration.

 -- Nicholas D Steeves <sten@debian.org>  Fri, 04 Apr 2025 16:35:38 -0400

=== debian/control ===
--- 
+++ 
@@ -5,6 +5,7 @@
 Uploaders: Nicholas D Steeves <sten@debian.org>
 Build-Depends: debhelper-compat (= 13)
              , dh-elpa
+             , elpa-avy
              , elpa-wgrep (>= 3.0.0)
              , texinfo <!nodoc>
 Rules-Requires-Root: no
@@ -19,8 +20,7 @@
 Depends: ${elpa:Depends}
        , ${misc:Depends}
 Recommends: emacs
-Suggests: elpa-avy
-        , elpa-flx
+Suggests: elpa-flx
 Enhances: emacs
 Description: generic completion mechanism for Emacs
  Ivy is an acronym for Incremental Vertical completYon.  While it
@@ -38,6 +38,25 @@
  "elpa-ivy-hydra".
  .
  Counsel is an alternative to Ido, Anything, and Helm.
+
+Package: elpa-ivy-avy
+Architecture: all
+Depends: ${elpa:Depends}
+       , ${misc:Depends}
+       , elpa-avy
+       , elpa-ivy
+Recommends: emacs
+Enhances: emacs
+        , elpa-avy
+        , elpa-ivy
+Description: enhance Ivy's selection's with Avy's "balanced decision tree"
+ Ivy is an acronym for Incremental Vertical completYon.  While it
+ operates similarly to other completion schemes, such as
+ Icomplete mode, Ivy aims to be more efficient, smaller, simpler, and
+ smoother to use--yet highly customisable.
+ .
+ Install this package to access Avy's "balanced decision tree" from Ivy's
+ familiar interface.
 
 Package: elpa-swiper
 Architecture: all
@@ -98,6 +117,11 @@
 Enhances: emacs
         , elpa-hydra
 Description: additional key bindings for Emacs Ivy
+ Ivy is an acronym for Incremental Vertical completYon.  While it
+ operates similarly to other completion schemes, such as
+ Icomplete mode, Ivy aims to be more efficient, smaller, simpler, and
+ smoother to use--yet highly customisable.
+ .
  This package provides the hydra-ivy/body command, which is a
  quasi-prefix map with many useful bindings for Ivy.  These bindings
  are shorter than usual and use predominantly unprefixed keys.

=== debian/rules ===
--- 
+++ 
@@ -15,7 +15,6 @@
 override_dh_installinfo:
 	@echo Generating info page.
 	cd doc \
-	   && emacs -batch -l ivy-ox.el -l scripts.el \
-	      --eval "(org-to-texi \"ivy.org\")"
+	   && make ivy.texi
 	makeinfo --no-split doc/ivy.texi -o debian/tmp/ivy.info
 	dh_installinfo
